package com.usky.iot.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.iot.domain.BaseFacilityType;
import com.usky.common.mybatis.core.CrudService;
import com.usky.iot.service.vo.BaseGgpFacilityTypeVO;

import java.util.List;

/**
 * <p>
 * 设施类型 服务类
 * </p>
 *
 * @author han
 * @since 2023-06-06
 */
public interface BaseFacilityTypeService extends CrudService<BaseFacilityType> {
    /**
     * 设施类型信息查询
     * @return
     */
    List<BaseGgpFacilityTypeVO> typeInfo();

    CommonPage<BaseFacilityType> typePage(String typeCode, String typeName, Integer current, Integer size);

    List<BaseFacilityType> typeSelect(Integer id);

    boolean add(BaseFacilityType baseFacilityType);

    void update(BaseFacilityType baseFacilityType);

    boolean remove(Integer id);

}
